import { splitProps, type JSX } from 'solid-js'
import { cn } from '@/utils/cn'

export const Skeleton = (props: JSX.HTMLAttributes<HTMLDivElement>) => {
  const [local, rest] = splitProps(props, ['class'])

  return <div class={cn('shimmer rounded-2xl', local.class)} data-testid="skeleton" {...rest} />
}
